public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-cpp/folly/
Date: Mon, 25 Oct 2021 11:56:40 +0000 (UTC)	[thread overview]
Message-ID: <1635160836.edce5b95552bd1a8b58b984c93ffb9ab0fcc1c4b.andrewammerlaan@gentoo> (raw)

commit:     edce5b95552bd1a8b58b984c93ffb9ab0fcc1c4b
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Oct 25 11:18:12 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Oct 25 11:20:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=edce5b95

dev-cpp/folly: add 2021.10.25.00

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-cpp/folly/Manifest                   |  1 +
 dev-cpp/folly/folly-2021.10.25.00.ebuild | 38 ++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-cpp/folly/Manifest b/dev-cpp/folly/Manifest
index f08f8f09d..99f92087b 100644
--- a/dev-cpp/folly/Manifest
+++ b/dev-cpp/folly/Manifest
@@ -1,3 +1,4 @@
 DIST folly-2021.08.02.00.tar.gz 3469070 BLAKE2B f670746690c3531e573fb01293361808f943de7324bfd4862a10ea9764a41197094e522668e580946244279fa096f7173958cccc57b4f610c7c08ccbf3ec702d SHA512 dbe005f31eeb60e85ef949432de09d7c49a52b19f195c06ef265189a13ad98cbd4b902b59f303c140b7aedc5ff8a604cc9bda9d1d374290561124a729c07149d
 DIST folly-2021.10.04.00.tar.gz 3495417 BLAKE2B ed8745c605ad66ee5bd2474737c7e0a7d08243bf809a1880cc010077a3ec8bd6155d7dc853fd165a956b5635fbdd1691de004320e78a1be194aaedae8554b77d SHA512 685cb716d1131a456a927d769eaf7174ec4528cdafd124c38a424c630a820a90998258c79cb793d91c8a4d587367524e597cb4dcc5d4f377815bfdd7ad29cbf2
 DIST folly-2021.10.18.00.tar.gz 3505501 BLAKE2B 3642c8f7ce3e3504f2078ea01dd1a07f8c94acc0c9a33a78923c05b9d17beaac03eb9276e49c437c952a94fec8775b5a7d6ff97b4c4a8c97d43863a776c672a7 SHA512 69f8c526cd1e88d5d8bf0e5e0e207fd10ba3bf898d89ad57ac6c420ed89c90048c59cb825e074bd495e306dfbff5f8a80631bf152952447313ce3084c8392a78
+DIST folly-2021.10.25.00.tar.gz 3507805 BLAKE2B c0fee84e596b095518f1f50d50f5d6f47faf35940e399a6ef73434d2fc4fc0f6bceb7953b471a6f70387210e0b3f3388c2922a626c8ba982b8b1f4498775dcd2 SHA512 5a61674e61dd341e9fcd73343b3e64c5573f4f503693adfaa18b345a2e19383f361effb5df52f7211f0c44be869a3c5eea4b392d07c823fdb42cf11c354eedde

diff --git a/dev-cpp/folly/folly-2021.10.25.00.ebuild b/dev-cpp/folly/folly-2021.10.25.00.ebuild
new file mode 100644
index 000000000..d829bac72
--- /dev/null
+++ b/dev-cpp/folly/folly-2021.10.25.00.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="An open-source C++ library developed and used at Facebook"
+HOMEPAGE="https://github.com/facebook/folly"
+SRC_URI="https://github.com/facebook/folly/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+	app-arch/lz4
+	<app-arch/snappy-1.1.9:=
+	app-arch/zstd
+	dev-cpp/gflags
+	dev-cpp/glog[gflags]
+	dev-libs/boost[context,threads(+)]
+	dev-libs/double-conversion
+	dev-libs/libevent
+	dev-libs/libfmt
+	sys-libs/binutils-libs
+	sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	filter-flags "-fno-rtti"
+	cmake_src_prepare
+	sed \
+		-e "s/lib CACHE/$(get_libdir) CACHE/" \
+		-e "s/lib\/cmake\/folly CACHE/$(get_libdir)\/cmake\/folly CACHE/" \
+		-i CMakeLists.txt || die
+}


             reply	other threads:[~2021-10-25 11:56 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-25 11:56 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-07 21:21 [gentoo-commits] repo/proj/guru:master commit in: dev-cpp/folly/ Ronny Gutbrod
2022-03-07 21:21 Ronny Gutbrod
2022-03-07 21:21 Ronny Gutbrod
2021-10-27  6:18 Florian Schmaus
2021-10-25 11:56 Andrew Ammerlaan
2021-10-25 11:56 Andrew Ammerlaan
2021-10-06  1:13 Theo Anderson
2021-09-21 10:02 Arthur Zamarin
2021-07-05 15:48 Haelwenn Monnier
2021-06-17  5:55 Theo Anderson
2021-05-28 10:28 Andrew Ammerlaan
2021-05-03 16:57 Andrew Ammerlaan
2021-04-29  8:23 Michał Górny
2021-01-05 15:21 Andrew Ammerlaan
2021-01-05 15:21 Andrew Ammerlaan
2021-01-05 15:21 Andrew Ammerlaan
2020-12-03 11:36 Andrew Ammerlaan
2020-12-03 11:36 Andrew Ammerlaan
2020-12-03 11:36 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635160836.edce5b95552bd1a8b58b984c93ffb9ab0fcc1c4b.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox